# Class CIM_RuleThatGeneratedSA
extends CIM_Dependency

RuleThatGeneratedSA associates a SecurityAssociationEndpoint with the SARule used to generate (or negotiate) it.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_RuleThatGeneratedSA

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | RuleThatGeneratedSA associates a SecurityAssociationEndpoint with the SARule used to generate (or negotiate) it.
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_RuleThatGeneratedSA | CIM_SARule
Dependent | CIM_RuleThatGeneratedSA | CIM_SecurityAssociationEndpoint

## Class Methods